# QwtLegendItemManager Class Reference

Abstract API to bind plot items to the legend. More...

`#include <qwt_legend_itemmanager.h>`

Inheritance diagram for QwtLegendItemManager:
[legend]

List of all members.

## Public Member Functions

| QwtLegendItemManager ()
virtual | ~QwtLegendItemManager ()
virtual void | updateLegend (QwtLegend *legend) const =0
virtual QWidget * | legendItem () const =0

## Detailed Description

Abstract API to bind plot items to the legend.

## Constructor & Destructor Documentation

QwtLegendItemManager::QwtLegendItemManager | ( |  | ) | `[inline]`

Constructor.

virtual QwtLegendItemManager::~QwtLegendItemManager | ( |  | ) | `[inline, virtual]`

Destructor.

## Member Function Documentation

virtual QWidget* QwtLegendItemManager::legendItem | ( |  | ) | const`[pure virtual]`

Allocate the widget that represents the item on the legend

Returns:
  Allocated widget

See also:
  updateLegend() QwtLegend()

Implemented in QwtPlotItem.

virtual void QwtLegendItemManager::updateLegend | ( | QwtLegend * | legend | ) | const`[pure virtual]`

Update the widget that represents the item on the legend

Parameters:

  | legend | Legend

See also:
  legendItem()

Implemented in QwtPlotCurve, and QwtPlotItem.